IFAPI_GetRandom Struct Reference

`#include <fapi_int.h>`

## Data Fields

size_t | numBytes
size_t | idx
UINT16 | bytesRequested
uint8_t * | data
uint8_t * | ret_data

## Detailed Description

The data structure holding internal state of Fapi_GetRandom.

## Field Documentation

## bytesRequested

UINT16 bytesRequested

Byted currently requested from TPM

## data

uint8_t* data

The buffer for the random data

## idx

size_t idx

Current position in output buffer.

## numBytes

size_t numBytes

The number of random bytes to be generated

## ret_data

uint8_t* ret_data

The result buffer.

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h